/*
 * TeamStats by Mats Bovin (mats@mbovin.com)
 * v1.1.0 May 2002
 * Copyright (c) 2002 Mats Bovin
 *
 * This file is part of TeamStats.
 *
 * TeamStats is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * TeamStats is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TeamStats; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _STATS_H_
#define _STATS_H_

#include <PalmOS.h>
#include "League.h"


//
// Typedefs
//
typedef struct {
    Int8  homeGoals;
    Int8  awayGoals;
    Int16 count;
} ResultCounter;


typedef struct {
    Int16 matchCount;
    Int16 homeWins;
    float homeWinPct;
    Int16 draws;
    float drawPct;
    Int16 awayWins;
    float awayWinPct;
    Int16 goalCount;
    float goalAvg;
    Int16 homeGoals;
    float homeGoalAvg;
    Int16 awayGoals;
    float awayGoalAvg;
    ResultCounter result0;
    ResultCounter result1;
    ResultCounter result2;
} LeagueStats;


typedef struct {
    Int8  tablePosition;
    Int16 matchCount;
    Int16 wins;
    float winPct;
    Int16 draws;
    float drawPct;
    Int16 losses;
    float lossPct;
    Int16 goalsFor;
    float goalsForAvg;
    Int16 goalsAgainst;
    float goalsAgainstAvg;
} TeamStats;




//
// Functions
//
LeagueStats StatsGetLeagueStats(League* leaguePtr);
TeamStats   StatsGetTeamStats(League* leaguePtr, Int16 teamIndex, Int8 matches);


#endif