/*
 * TeamStats by Mats Bovin (mats@mbovin.com)
 * v1.1.0 May 2002
 * Copyright (c) 2002 Mats Bovin
 *
 * This file is part of TeamStats.
 *
 * TeamStats is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * TeamStats is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TeamStats; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _TABLE_H_
#define _TABLE_H_

#include <PalmOS.h>
#include "TeamStats.h"
#include "League.h"


//
// Typedefs
//
typedef struct {
  Int8  teamId;
  Int16 played;
  Int16 won;
  Int16 drawn;
  Int16 lost;
  Int16 gfor;
  Int16 against;
  Int16 goalDiff;
  Int16 points;
  Int16 position;
} TableTeam;


typedef struct {
  League*   league;
  TableTeam teams[MAX_TEAMS];
  Boolean   includeHome;
  Boolean   includeAway;
  Boolean   forward;
  Int16     maxMatches;
} Table;


//
// Functions
//
Table TableCreate(League *league, Boolean home, Boolean away, Boolean forward, Int16 maxMatches);

#endif