/*
 * TeamStats by Mats Bovin (mats@mbovin.com)
 * v1.3.0 September 2002
 * Copyright (c) 2002 Mats Bovin
 *
 * This file is part of TeamStats.
 *
 * TeamStats is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * TeamStats is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TeamStats; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _TEXT_H_
#define _TEXT_H_

// Table view - TableForm.c
#define TEXT_TABLE_GOAL_SEP " :"

// Match view - MatchForm.c
#define TEXT_MATCH_ROUND            "Spieltag %d" // also Dialogs.c
#define TEXT_MATCH_SELECT_MATCH_DAY "Spieldatum whlen" // also Dialogs.c
#define TEXT_MATCH_DATE             "%d.%d."

// Team view - TeamForm.c
#define TEXT_TEAM_TABLE          "Tabelle"
#define TEXT_TEAM_MATCHES        "Spiele"
#define TEXT_TEAM_POSITION       "Tabellenplatz:"
#define TEXT_TEAM_MATCHES_PLAYED "Anzahl Spiele:"
#define TEXT_TEAM_WINS           "Siege:"
#define TEXT_TEAM_DRAWS          "Unentschieden:"
#define TEXT_TEAM_LOSSES         "Niederlagen:"
#define TEXT_TEAM_GOALS_FOR      "Erzielte Tore:"
#define TEXT_TEAM_GOALS_AGAINST  "Gegentore:"
#define TEXT_TEAM_DATE_DAY       "%d."
#define TEXT_TEAM_DATE_MONTH     "%d."
#define TEXT_TEAM_LETTER_HOME    'H'
#define TEXT_TEAM_LETTER_AWAY    'A'
#define TEXT_TEAM_GOAL_SEP       "%d:%d"
#define TEXT_TEAM_LETTER_WIN     'S'
#define TEXT_TEAM_LETTER_DRAW    'U'
#define TEXT_TEAM_LETTER_LOSS    'N'

// League view - LeagueForm.c
#define TEXT_LEAGUE_MATCHES_PLAYED "Anzahl Spiele:"
#define TEXT_LEAGUE_WON_HOME       "Heimsiege:"
#define TEXT_LEAGUE_DRAWS          "Unentschieden:"
#define TEXT_LEAGUE_WON_AWAY       "Auswrtssiege:"
#define TEXT_LEAGUE_GOALS_SCORED   "Erzielte Tore:"
#define TEXT_LEAGUE_GOALS_HOME     "Heimtore:"
#define TEXT_LEAGUE_GOALS_AWAY     "Gasttore:"
#define TEXT_LEAGUE_MOST_FREQUENT  "Hufigste Ergebnisse:"
#define TEXT_LEAGUE_TIMES          "%d:%d %d Mal"

// Create/Edit league - Dialogs.c
#define TEXT_EDIT_LEAGUE_NAME_NO_OF_TEAMS "Die Liga muss einen Namen haben sowie zwischen zwei und 30 Teams."
#define TEXT_EDIT_LEAGUE_INVALID_NAME     "Der Ligenname ist nicht mglich oder wird schon von einer anderen Datenbank benutzt. Bitte einen anderen Namen verwenden."
#define TEXT_EDIT_LEAGUE_MUST_HAVE_NAME   "Die Liga muss einen Namen haben."
#define TEXT_EDIT_LEAGUE_TEAM             "Team %d" // Main.c

// Edit fixtures - Dialogs.c
#define TEXT_EDIT_FIX_DATE                      "%d.%d."
#define TEXT_EDIT_FIX_CANNOT_ADD_MATCH          "Zu diesem Spieltag knnen keine weiteren Spiele hinzugefgt werden."
#define TEXT_EDIT_FIX_NO_MATCH_SELECTED         "Kein Spiel ausgewhlt. Es muss eines zum Lschen ausgewhlt sein.."
#define TEXT_EDIT_FIX_ONLY_DELETE_LAST_ROUND    "Es kann nur der letzte Spieltag gelscht werden."
#define TEXT_EDIT_FIX_CANNOT_DELETE_FIRST_ROUND "Der erste Spieltag kann nicht gelscht werden. Die Liga muss wenigsten einen haben."
#define TEXT_EDIT_FIX_ONLY_DELETE_EMPTY_ROUND   "Es knnen nur leere Spieltage gelscht werden. Es mssen erst alle Paarungen entfernt werden."

// Misc - League.c
#define TEXT_LEAGUE_MATCH_FUTURE "%d.%d. %s-%s"
#define TEXT_LEAGUE_MATCH_PLAYED "%d.%d. %s-%s %d:%d"

// Misc - Main.c
#define TEXT_MAIN_BEAMING_NOT_SUPPORTED "Sorry, eine bertragung wird von der vorhandenen Betreibssystemversion nicht untersttzt."

#endif
